SystemOrganization addCategory: #'Pier-Setup'!

Object subclass: #PRDistribution
	instanceVariableNames: 'kernel'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Setup'!

!PRDistribution methodsFor: 'as yet unclassified' stamp: 'tg 5/28/2008 12:18'!
create

	"self new create"

	| environment stylesheet |

	environment := self environmentPages.
	kernel root addChild: environment.
	kernel root localEnvironment: environment.

	stylesheet := self stylesheetFile.
	environment addChild: stylesheet.
	kernel root localStyleSheet: stylesheet.	

	PRPierFrame registerAsApplication: 'pier' kernel: kernel! !

!PRDistribution methodsFor: 'as yet unclassified' stamp: 'tg 5/28/2008 12:17'!
environmentPages
	^(PRPage named: 'environment')
		addChild: ((PRPage named: 'title')
			contents: '!!*/*';
			yourself);
		addChild: ((PRComponent named: 'search')
			componentClass: PRAjaxSearchWidget;
			yourself);
		addChild: ((PRComponent named: 'menu')
			componentClass: PRChildrenWidget;
			write: 1 using: PRChildrenWidget descriptionLevel;
			write: true using: PRChildrenWidget descriptionHighlightPath;
			yourself);
		addChild: ((PRComponent named: 'navigation')
			componentClass: PRChildrenWidget;
			write: 2 using: PRChildrenWidget descriptionLevel;
			write: true using: PRChildrenWidget descriptionExpand;
			yourself);
		addChild: ((PRComponent named: 'sitemap')
			componentClass: PRTreeWidget;
			yourself);
		addChild: ((PRComponent named: 'views')
			componentClass: PRViewsWidget;
			yourself);
		addChild: ((PRComponent named: 'commands')
			componentClass: PRCommandsWidget;
			yourself);
		addChild: ((PRComponent named: 'contents')
			componentClass: PRContentsWidget;
			write: '%c' using: PRContentsWidget descriptionHeading;
			yourself);
		contents: '<div class="container">
	<div class="header column span-24">
		<div class="title column span-18">+title+</div>
		<div class="search column span-6 last">+search+</div>
		<div class="menu column span-24 last">+menu+</div>
	</div>
	<div class="body column span-24">
		<div class="navigation column span-6">+navigation+</div>
		<div class="contents column span-18 last">+contents+</div>
	</div>
	<div class="footer column span-24">
		<div class="sitemap column span-6"><h4>Sitemap</h4> +sitemap+</div>
		<div class="commands column span-6"><h4>Commands</h4> +commands+</div>
		<div class="views column span-6"><h4>Views</h4> +views+</div>
		<div class="column span-6 last">
			Powered by *Pier>http://www.lukas-renggli.ch/smalltalk/pier*.
		</div>
	</div>
</div>';
	yourself! !

!PRDistribution methodsFor: 'as yet unclassified' stamp: 'tg 5/28/2008 12:03'!
initialize

	kernel := PRKernel named: 'Pier'.! !

!PRDistribution methodsFor: 'as yet unclassified' stamp: 'tg 5/28/2008 12:30'!
stylesheetFile

	^(PRFile named: 'css')
		contents: 
'
/* pier */
.broken { color: #8a1f11; }
.protected { color: #514721; }

/* header */
.header .title a.page {
	height: 59px;
	outline: none;
	display: block;
	text-indent: -100em;
	background: url(pier.png) no-repeat;
}
.header .search input {
	width: 140px;
	outline: none;
}
.header .search ul {
	margin: 0;
	padding: 0;
	background: #fff;
	list-style-type: none;
	border: 1px solid #666;
	border-top: none;
}
.header .search li.selected {
	background-color: #009;
}
.header .search li {
	margin: 0;
	display: block;
	padding: 0.2em;
	cursor: pointer;
	list-style-type: none;
}
.header .search a {
	text-decoration: none;
}
.header .search li.selected a {
	color: #fff;
}
.header .children {
	height: 4em;
}
.header .children ul {
	margin: 0 0 1em 0;
	list-style-type: none;
}
.header .children ul li {
	float: left;
	width: 110px;
	margin-right: 10px;
	list-style-type: none;
}
.header .children .active {
	font-weight: bold;
}

/* sidebar */
.sidebar ul {
	margin-top: 0;
	margin-left: 0;
	list-style-type: none;
}
.sidebar ul ul {
	margin-bottom: 0;
	margin-left: 1.5em;
}
.sidebar .active {
	font-weight: bold;
}

/* footer */
.footer {
	font-size: 0.8em;
	padding-top: 10em;
	text-align: left;
}

.footer ul {
	list-style: none;
	margin-left: 0em;
}
.footer ul ul {
	margin-left: 1em;
}
'! !
